Public Class Form1

    ' Draw the tooltip.
    Private Sub tipButtons_Draw(ByVal sender As Object, ByVal e As System.Windows.Forms.DrawToolTipEventArgs) Handles tipButtons.Draw
        ' Draw the background and border.
        e.DrawBackground()
        e.DrawBorder()

        ' Draw the text.
        Using sf As New StringFormat()
            sf.Alignment = StringAlignment.Near
            sf.LineAlignment = StringAlignment.Center
            Dim rect As New Rectangle(50, 0, e.Bounds.Width - 50, e.Bounds.Height)
            e.Graphics.DrawString(e.ToolTipText, e.Font, Brushes.Green, rect, sf)
        End Using

        ' Draw the image.
        e.Graphics.DrawImage(My.Resources.happy, 9, 9)
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        tipButtons.SetToolTip(btnWhatever, "Whatever..." & vbCrLf & "Whatever..." & vbCrLf & "Whatever...")
    End Sub

    ' Set the tooltip's bounds.
    Private Sub tipButtons_Popup(ByVal sender As Object, ByVal e As System.Windows.Forms.PopupEventArgs) Handles tipButtons.Popup
        Dim wid As Integer = e.ToolTipSize.Width + 50
        Dim hgt As Integer = e.ToolTipSize.Height
        If hgt < 50 Then hgt = 50
        e.ToolTipSize = New Size(wid, hgt)
    End Sub

    Private Sub btnClickMe_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClickMe.Click
        MessageBox.Show("Clicked!", "Clicked", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub
    Private Sub btnDontClick_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDontClick.Click
        MessageBox.Show("Just kidding!", "Kidding", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub
    Private Sub btnWhatever_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnWhatever.Click
        MessageBox.Show("Whatever...", "Whatever", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub
End Class
